<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995-7 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>Assignment #1</title>
</head>
<body>
<H1>Assignment #1</H1>





<B>Introductory C Programming
<br>
<br>
UW Experimental College
</B><br>
<br>
<B>Assignment #1
</B><p><B>Handouts:
</B></p><p>Syllabus
<br><a href="PS1.html">Assignment #1</a>
<br><a href="http://www.eskimo.com/~scs/cclass/progintro/top.html">A Short Introduction to Programming</a>
<br><a href="http://www.eskimo.com/~scs/cclass/mathintro/top.html">A Brief Refresher on Some Math Often Used in Computing</a>
<br><a href="http://www.eskimo.com/~scs/cclass/notes/sx1.html">Class Notes, Chapter 1</a>
<br><a href="http://www.eskimo.com/~scs/cclass/notes/sx2.html">Class Notes, Chapter 2</a>
<br><a href="http://www.eskimo.com/~scs/cclass/handouts/avcompilers/index.html">Available Compiler Options</a>
<br><a href="http://www.eskimo.com/~scs/cclass/handouts/errmsgs/top.html">Common Compiler Error Messages and Other Problems</a>
<br><a href="http://www.eskimo.com/~scs/cclass/handouts/cstepbystep/index.html">Compiling C Programs: Step by Step</a>
<p><B>Reading Assignment:
</B></p><p><a href="http://www.eskimo.com/~scs/cclass/progintro/top.html">A Short Introduction to Programming</a>
<br><a href="http://www.eskimo.com/~scs/cclass/notes/sx1.html">Class Notes, Chapter 1</a>
<br><a href="http://www.eskimo.com/~scs/cclass/notes/sx2.html">Class Notes, Chapter 2</a> (optional)
<br><a href="http://www.eskimo.com/~scs/cclass/handouts/cstepbystep/index.html">Compiling C Programs: Step by Step</a>
<p><B>Review Questions:
</B></p><OL><li>Approximately what is the line <TT>#include &lt;stdio.h&gt;</TT>
at the top of a C source file for?
<li>What are some uses for comments?
<li>Why is indentation important?
How carefully does the compiler pay attention to it?
<li>What are the largest and smallest values that can be reliably
stored in a variable of type <TT>int</TT>?
<li>What is the difference between the constants
<TT>7</TT>, <TT>'7'</TT>, and <TT>"7"</TT>?
<li>What is the difference between the constants
<TT>123</TT> and <TT>"123"</TT>?
<li>What is the function of the semicolon in a C statement?
</OL><p><B>Exercises:
</B>(easy to harder; do as many as you like, but at least two)
<p>1.
Get the ``Hello, world!'' program to work on your computer.
If you're using a Unix machine, the instructions in the notes should
get you started.
If you're using a commercial compiler on a home
computer, the compiler's instruction manuals should (really, <em>must</em>)
tell you how to enter, compile, and run a program.
(In either case, the
``<a href="http://www.eskimo.com/~scs/cclass/handouts/csstepbystep/top.html">Compiling C Programs</a>''
handout should help, too.)
<p>2.
What do these loops print?
<pre>
for(i = 0; i &lt; 10; i = i + 2)
	printf("%d\n", i);
</pre>
<pre>
for(i = 100; i &gt;= 0; i = i - 7)
	printf("%d\n", i);
</pre>
<pre>
for(i = 1; i &lt;= 10; i = i + 1)
	printf("%d\n", i);
</pre>
<pre>
for(i = 2; i &lt; 100; i = i * 2)
	printf("%d\n", i);
</pre>
<p>3.
Write a program to print the numbers from 1 to 10
and their squares:
<pre>
	1	1
	2	4
	3	9
	...
	10	100
</pre>
<p>4.
Write a program to print this triangle:
<pre>
	*
	**
	***
	****
	*****
	******
	*******
	********
	*********
	**********
</pre>
Don't use ten <TT>printf</TT> statements; use two nested loops instead.
You'll have to use braces around the body of the outer loop if
it contains multiple statements:
<pre>
	for(i = 1; i &lt;= 10; i = i + 1)
		{
		/* multiple statements */
		/* can go in here */
		}
</pre>
(Hint: a string you hand to <TT>printf</TT> does not have to contain the
newline character <TT>\n</TT>.)
</p><hr>
<hr>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995-9
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
